//Priority: 2
/**
  
  █▀▄▀█ █▀█ █▄░█ █░█ █▀▄▀█ █▀▀ █▄░█ ▀█▀ ▄▀█ █░░   █▀▀ ▀▄▀ █▀█ █▀▀ █▀█ █ █▀▀ █▄░█ █▀▀ █▀▀
  █░▀░█ █▄█ █░▀█ █▄█ █░▀░█ ██▄ █░▀█ ░█░ █▀█ █▄▄   ██▄ █░█ █▀▀ ██▄ █▀▄ █ ██▄ █░▀█ █▄▄ ██▄

  ☻/  * @file Replace Input script
  /▌  * @copyright KnightDexx's Modded Minecraft World & ModernGamingWorld
  /\

*/
ServerEvents.recipes(event => {

    //=== Misc Changes ===
    event.replaceInput({},'#ad_astra:venus_sandstone', 'ad_astra:venus_sandstone')
    event.replaceInput({},'#forge:fruits/nutmeg', '#forge:crops/nutmeg')
    event.replaceInput({},'#forge:fruits/coffee_bean', '#forge:crops/coffee_beans')
    event.replaceInput({},'#forge:grape_juices', '#vinery:grapejuice')
    event.replaceInput({},'minecraft:ender_chest', '#forge:chests/ender')
    event.replaceInput({},'industrialforegoing:tinydryrubber', '#forge:rubber')
    event.replaceInput({},'productivetrees:rubber', 'thermal:rubber')
    event.replaceInput({},'majruszsdifficulty:enderium_ingot', '#forge:ingots/enderium')
    event.replaceInput({},'mekanism:salt', '#forge:salt')
    event.replaceInput({},'croptopia:salt', '#forge:salt')
    event.replaceInput({},'#pneumaticcraft:plastic_sheets', '#forge:ingots/plastic')
    event.replaceInput({},'#forge:plastic', '#forge:ingots/plastic')
    event.replaceInput({},'create:brass_sheet', '#forge:plates/brass')

    //=== Storage Block changes ===
    event.replaceInput({},'minecraft:glowstone', '#chipped:glowstone')
    event.replaceInput({},'minecraft:netherite_block', '#forge:storage_blocks/netherite')
    event.replaceInput({},'minecraft:coal_block', '#forge:storage_blocks/coal')
    event.replaceInput({},'majruszsdifficulty:enderium_block', '#forge:storage_blocks/enderium')
    event.replaceInput({},'minecraft:redstone_block', '#forge:storage_blocks/redstone')

    //Block Changes
    event.replaceInput({},'minecraft:nether_bricks', '#chipped:nether_bricks')
    event.replaceInput({},'minecraft:red_nether_bricks', '#chipped:red_nether_bricks')
    event.replaceInput({},'createdeco:brass_sheet_metal', '#forge:storage_blocks/brass')
    event.replaceInput({},'createdeco:copper_sheet_metal', '#forge:storage_blocks/copper')
    event.replaceInput({},'cyclic:compressed_cobblestone', 'compressium:cobblestone_1')
    event.replaceInput({},'culturaldelights:eggplant_crate', 'thermal:eggplant_block')
    event.replaceInput({},'farmersdelight:beetroot_crate', 'thermal:beetroot_block')
    event.replaceInput({},'farmersdelight:carrot_crate', 'thermal:carrot_block')
    event.replaceInput({},'farmersdelight:potato_crate', 'thermal:potato_block')
    event.replaceInput({},'farmersdelight:onion_crate', 'thermal:onion_block')
    event.replaceInput({},'quark:beetroot_crate', 'thermal:beetroot_block')
    event.replaceInput({},'quark:carrot_crate', 'thermal:carrot_block')
    event.replaceInput({},'quark:potato_crate', 'thermal:potato_block')
    event.replaceInput({},'quark:apple_crate', 'thermal:apple_block')
    event.replaceInput({},'quark:sugar_cane_block', 'thermal:sugar_cane_block')
    event.replaceInput({},'quark:gunpowder_sack', 'thermal:gunpowder_block')
    event.replaceInput({},'quark:bamboo_block', 'thermal:bamboo_block')
    event.replaceInput({},'supplementaries:flax_block', 'thermal:flax_block')
})
